> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get market sentiment data

> Retrieves the latest market sentiment data for analysis



## OpenAPI

````yaml /openapi-readme.json get /asset-info/market-sentiment
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /asset-info/market-sentiment:
    get:
      tags:
        - trading
      summary: Get market sentiment data
      description: Retrieves the latest market sentiment data for analysis
      operationId: getMarketSentiment
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    symbol:
                      type: string
                    page:
                      type: string
                    all_traders_long_total:
                      type: number
                    all_traders_short_total:
                      type: number
                    top_traders_long_total:
                      type: number
                    top_traders_short_total:
                      type: number
                  required:
                    - symbol
                    - page
                    - all_traders_long_total
                    - all_traders_short_total
                    - top_traders_long_total
                    - top_traders_short_total
                  additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.